Bug Hunting Session
Bug 54628 - No error message when fail to export mediawiki
Summary: No error message when fail to export mediawiki
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-07 08:36 UTC by lucazeo
Modified: 2014-10-06 20:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
My gdbtrace file, which I forgot to attach, sorry ... :( (3.50 KB, text/x-log)
2013-06-27 14:37 UTC, Thomas Hackert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lucazeo 2012-09-07 08:36:52 UTC
File -> Send -> To Mediawiki
Does not work: when I push send it asks for user and password also if they are not required.
Then if I press OK leaving user and password blank, it loops with no error message and show again the window fir login.
If I enter login credentials, login fails (bug 48099).

Mediawiki is in a local network, on windows server with postgresql as database, port 80 is open and mediawiki works fine.
My platform: windows 7 x64 eng.

Apache log when login fails:
"GET / HTTP/1.1" 301 -
"GET /index.php?title=Pagina_principale HTTP/1.1" 200 21164
"GET /index.php?title=Special:Userlogin HTTP/1.1" 301 -
"GET /index.php?title=Speciale:Userlogin HTTP/1.1" 302 -
"GET /index.php?title=Speciale:Entra HTTP/1.1" 200 10544
"POST /index.php?title=Special:Userlogin&action=submitlogin HTTP/1.1" 200 10999

Apache log when username and password are not filled (same result):
"GET / HTTP/1.1" 301 -
"GET /index.php?title=Pagina_principale HTTP/1.1" 200 21164
"GET /index.php?title=Special:Userlogin HTTP/1.1" 301 -
"GET /index.php?title=Speciale:Userlogin HTTP/1.1" 302 -
"GET /index.php?title=Speciale:Entra HTTP/1.1" 200 10544
"POST /index.php?title=Special:Userlogin&action=submitlogin HTTP/1.1" 200 10759

I don't kknow if this is a mediawiki related problem, but LibreOffice must return an error.
Comment 1 Thomas Hackert 2013-06-26 16:55:26 UTC
Hello lucazeo, *,
as I can confirm it with LO Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 and installed Germanophone help- as well as langpack under Debian Testing AMD64 ... :( I have done the following:
1. Configured LO to use my Wikipedia account under "Tools - Options - Internet - MediaWiki"
2. Created a new Writer document (started "soffice --backtrace" from commandline)
3. Typed "Test Test Test"
4. Used "File - Send - To MediaWiki..."
Nothing happened ... :(

The resulting gdbtrace.log is only 4KB, where I am not able to see anything interesting, but maybe one of the developers ... ;) I will it attach afterwards.

Sorry for the inconvenience
Thomas.
Comment 2 Thomas Hackert 2013-06-27 14:37:28 UTC
Created attachment 81566 [details]
My gdbtrace file, which I forgot to attach, sorry ... :(
Comment 3 Julien Nabet 2014-02-20 20:30:22 UTC
lucazeo: for the test, could you give a try to the daily dev build of 4.2, see https://bugs.freedesktop.org/show_bug.cgi?id=69925#c9 ?
Indeed, there was a bug with File - Send - To MediaWiki... (see fdo#69925 put in See also)

thackert: put you in cc, thought you might be interested to give it a new try.
Comment 4 Thomas Hackert 2014-02-21 18:40:51 UTC
Hello Julien, *,
just out of interest: why ;? Because I have added a comment here or have reported another WikiPublisher bug (#64397)? I still can confirm both with LO Version: 4.2.1.1 Build-ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b, but this one seemed to be fixed with LO Version: 4.3.0.0.alpha0+ Build ID: 00856ac90d4a230d6f219937f836ca0e9f3fe1e3 TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-02-21_12:56:52 (both under Debian Testing i386, but the latter parallel installed following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel). 
So thanks for fixing this bug with LO Version: 4.3.0.0.alpha0+ Build ID: 00856ac90d4a230d6f219937f836ca0e9f3fe1e3 TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-02-21_12:56:52 under Debian Testing i386 :)

@lucazeo: Is it also fixed for you? Have you tried it with a newer version of LO than 3.6.1.2? Would you be so kind to test it again? TIA

Have a nice evening
Thomas.
Comment 5 Julien Nabet 2014-02-21 21:12:42 UTC
thackert: thank you for your feedback. Really sorry if you take this cc like something invasive or something, it wasn't my intention. Don't hesitate to put you off from cc. And to answer your question, yes I put you cc because I saw your comment and you had opened another bug about mediawiki.
Again, I'm really sorry.
Comment 6 Thomas Hackert 2014-02-22 18:49:58 UTC
Hello Julien, *,

(In reply to comment #5)
> thackert: thank you for your feedback

you are Welcome :)

> Really sorry if you take this cc like
> something invasive or something,

No need to worry ... ;) Maybe my English is not good enough to express myself in comments like my last one ... :( Maybe I should have written "Just out of curiosity ... ;) I was just interested to know the reason ... ;)

> it wasn't my intention. Don't hesitate to
> put you off from cc. And to answer your question, yes I put you cc because I
> saw your comment and you had opened another bug about mediawiki.

O.K. Thank you for your explanation :)

> Again, I'm really sorry.

You do not need to excuse it. I am not feeling offended or something like it ... ;)
Have a nice evening
Thomas.
P.S.: Should we not change the status to anything different?
Comment 7 Julien Nabet 2014-02-23 18:32:36 UTC
thackert: ok then:-) About the status, NEEDINFO is the right one since we expect some update from lucazeo.
Comment 8 lucazeo 2014-03-02 14:17:14 UTC
Actually I have some problems, mybe my configuration (I will indagate), when I choose send to mediawiki IĀ  have no responses (version 4.2.1.1)




On Sunday, February 23, 2014 7:32 PM, "bugzilla-daemon@freedesktop.org" <bugzilla-daemon@freedesktop.org> wrote:
 
 
Comment # 7 on bug 54628 from Julien Nabet  
thackert: ok then:-) About the status, NEEDINFO is the right one since we
expect some update from lucazeo.
________________________________
 You are receiving this mail because: 
	* You reported the bug.
Comment 9 Julien Nabet 2014-03-02 18:20:09 UTC
Lucazeo: about the fact there's no response when choosing Send To Mediawiki, it corresponds exactly to fdo#69925 (put in See Also) which has been fixed from 4.2.2 which will be released very soon, see https://wiki.documentfoundation.org/ReleasePlan/4.2#4.2.2_release
Comment 10 QA Administrators 2014-10-05 23:05:54 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 11 lucazeo 2014-10-06 11:34:50 UTC
After upgrades and test i see it seems to be fixed (for what I tested).
I'm now useing 4.0.4 Libreoffice.
Thanks to all.

Lucazeo.
Comment 12 retired 2014-10-06 20:35:44 UTC
Thanks for the update. Please do note that 4.0 is End of Life. You should be using 4.2 or 4.3: https://www.libreoffice.org/download/libreoffice-fresh/